{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to retrieve a list of designs already stored in your Design Library**.\n\nA GET request to `/designs` will return a list of your existing designs. This endpoint will not return the pre-built Twilio SendGrid designs. Pre-built designs can be retrieved using the `/designs/pre-builts` endpoint, which is detailed below.\n\nBy default, you will receive 100 results per request; however, you can modify the number of results returned by passing an integer to the `page_size` query parameter.","properties":{"query":{"type":"object","properties":{"page_size":{"type":"integer","minimum":0,"default":100,"description":"number of results to return"},"page_token":{"type":"string","description":"token corresponding to a specific page of results, as provided by metadata"},"summary":{"type":"boolean","default":true,"description":"set to false to return all fields"}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false},"name":"List Designs","id":"sendgrid.mc_designs.listdesign","example":{},"maxRequests":1,"summary":false}}